Skip to main content
GET
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
versions
Lists versions for a project
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/versions \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 123,
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "state": "draft",
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "labels": {}
    }
  ],
  "next": "<string>",
  "prev": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Query Parameters

first
integer
default:20
after
string
before
string

Response

200 - application/json

OK

A page of project versions.

totalCount
integer
required
items
object[]
required
next
string
prev
string